Subject: Re: [RFC PATCH 10/10] net: stmmac: dwmac-loongson: Add GNET support

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 13 Jul 2023 09:06:14 +0100

On Thu, Jul 13, 2023 at 10:49:38AM +0800, Feiyang Chen wrote:
> Add GNET support. Use the fix_mac_speed() callback to workaround
> issues with the Loongson PHY.

It would be good to document what those issue(s) are, and if they are a
PHY issue, why they need to be resolved in a MAC driver rather than
using the PHY driver's link_change_notify().

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!